%define name lm_sensors
%define version 2.6.3
%define release 3
%define kversion 2.4.21

Summary: Utilities for lm_sensors.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.lm-sensors.nu/archive/%{name}-%{version}.tar.gz
Source1: lm_sensors-2.5.5-sensors
Patch0: lm_sensors-2.5.5-fix-install.patch.bz2
Patch1: lm_sensors-2.5.5-fix-build-sensord.patch.bz2
Patch2: lm_sensors-2.6.1-isadump.ppc.patch.bz2
Patch3:	lm_sensors-2.6.3-makefile.patch
URL: http://www.lm-sensors.nu
License: GPL
Group: System/Kernel and hardware
Packager: Rich West <Rich.West@wesmo.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Provides: lm_utils
Obsoletes: lm_utils
BuildRequires: bison flex kernel-source = %{kversion}

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package -n %{name}-devel
Summary: Development libraries and header files for lm_sensors
Group: System/Kernel and hardware
Url: http://www.lm-sensors.nu
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{name}-devel
Development libraries and header files for lm_sensors.

You might want to use this package while building KDE 2.x, or
for other applications that might take advantage of lm_sensors
if found.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1
%ifarch ppc
%patch2 -p1
%endif
%patch3 -p1

%build

%define MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=%{_prefix} LINUX=/usr/src/linux I2C_HEADERS=/usr/src/linux/include ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} DESTDIR=$RPM_BUILD_ROOT

make %{MAKE_DEFS} all
make

%install

make %{MAKE_DEFS} install
install -D -m 755 %{SOURCE1} %{buildroot}%{_initrddir}/sensors
mkdir -p %{buildroot}/lib/modules/%{kversion}/misc
install -m 755 kernel/busses/*.o %{buildroot}/lib/modules/%{kversion}/misc
install -m 755 kernel/chips/*.o %{buildroot}/lib/modules/%{kversion}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS INSTALL README TODO doc
%config(noreplace) %{_sysconfdir}/sensors.conf
%config(noreplace) %{_initrddir}/sensors
%{_bindir}/sensors
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
/lib/modules/%{kversion}/misc

%files -n %{name}-devel
%defattr(-,root,root)
%{_libdir}/libsensors.a
%{_libdir}/libsensors.so
%{_libdir}/libsensors.so.*
%{_includedir}/sensors/*
%{_mandir}/man3/*


%changelog
* Mon Apr 29 2002 Rich West <Rich.West@wesmo.com>
- 2.6.3 for 2.4.18 kernel

* Fri Dec  3 2001 Rich West <Rich.West@wesmo.com>
- 2.6.2 for 2.4.16 kernel
- Cleaned up the poor RPM spec file.
- Changed the build to create just the package and the devel package.

* Sat Oct 27 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.1-3mdk
- quiet %setup, patches to build isadump on PPC

* Fri Oct 19 2001 Stefan van der Eijk <stefan@eijk.nu> 2.6.1-2mdk
- BuildRequires: bsion, flex, kernel-source 2.4.10 --> 2.4.12

* Mon Oct  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.6.1-1mdk
- Splitup from the kernel spec file.
# end of file
